Subject: Re: db-1.85

From: [email-masked] (Mark Andrews)
Date: Fri, 13 Oct 1995 15:34:59 -0400 (EDT)

> 
> > Overwriting an existing record may crash the database.
> > The solution was to delete it first and write it new.
> > Under Ultrix the same code works correctly even if 
> > the record is not deleted before writing it new! 
> 
> The current version DB doesn't have a "replace" interface, so
> overwriting the returned key/data pair is always risky and prone
> to catastrophic failure.  The closest interface to this it has
> is using a cursor call to position the cursor and then a put
> call to replace the cursor key/data pair.  Future versions will
> have a replace interface, but until then it's a mistake to
> overwrite the returned key/data.
> 
> > However after finishing the code on Linux I ported it to 
> > Ultrix and FBSD with no problems! Because the platforms 
> > where the code should run on is not yet fixed I've tried
> > to port it to a SGI under IRIX 5.3 without success. 

Here's what I've been sending the other people:

=======================================================================

Here's a compressed tar archive of a PORT directory for irix.5.2 and
irix.5.3. The pathnames of all files in the archive are db.1.85/PORT/...
Note that the irix.5.3 PORT directory is actually a symbolic link to
the irix.5.2 PORT directory as both use the same include files and Makefile.
If you continue to have problems, let me know.

====================================================================

> Contact Mark Andrews ([email-masked]).  He has DB running
> on various SGI machines, including IRIX 5.3, I believe.  (I've
> cc'd him on this email.)

> 
> (Note -- Mark, if you'll send me the DB 1.85 patches for the
> IRIX, I'll quit passing people along to you.  ;-})

Doesn't matter to me. I like that I can help people here. Gotta give
back to those who helped me when I was a net pup :-)